<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__smartio__lutcfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_smartio_lutcfg_t</compoundname>
    <includes local="no">cy_smartio.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__smartio__lutcfg__t_1a86cb486d9b0ae98f1266170edd8a04da" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga057185e00625a60b6ee8f788b55f6413">cy_en_smartio_luttr_t</ref></type>
        <definition>cy_en_smartio_luttr_t cy_stc_smartio_lutcfg_t::tr0</definition>
        <argsstring />
        <name>tr0</name>
        <briefdescription>
<para>LUT input trigger 0 source selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="472" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="472" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__lutcfg__t_1a199369923edc7a284997b2937ea0ba2b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga057185e00625a60b6ee8f788b55f6413">cy_en_smartio_luttr_t</ref></type>
        <definition>cy_en_smartio_luttr_t cy_stc_smartio_lutcfg_t::tr1</definition>
        <argsstring />
        <name>tr1</name>
        <briefdescription>
<para>LUT input trigger 1 source selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="473" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="473" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__lutcfg__t_1a0a11f0a8a3247e083c1b66e798420110" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga057185e00625a60b6ee8f788b55f6413">cy_en_smartio_luttr_t</ref></type>
        <definition>cy_en_smartio_luttr_t cy_stc_smartio_lutcfg_t::tr2</definition>
        <argsstring />
        <name>tr2</name>
        <briefdescription>
<para>LUT input trigger 2 source selection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="474" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="474" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__lutcfg__t_1a287e2d703c0edf6b3a7f93e9823dc8a6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga572df357a226e52ebe5c79b4684662a7">cy_en_smartio_lutopc_t</ref></type>
        <definition>cy_en_smartio_lutopc_t cy_stc_smartio_lutcfg_t::opcode</definition>
        <argsstring />
        <name>opcode</name>
        <briefdescription>
<para>LUT Opcode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="475" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="475" />
      </memberdef>
      <memberdef id="structcy__stc__smartio__lutcfg__t_1acb99f9000ed1fa480f22177c49611145" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_smartio_lutcfg_t::lutMap</definition>
        <argsstring />
        <name>lutMap</name>
        <briefdescription>
<para>LUT output mapping. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="476" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="476" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>LUT configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="477" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="471" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="471" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__smartio__lutcfg__t_1acb99f9000ed1fa480f22177c49611145" virt="non-virtual"><scope>cy_stc_smartio_lutcfg_t</scope><name>lutMap</name></member>
      <member prot="public" refid="structcy__stc__smartio__lutcfg__t_1a287e2d703c0edf6b3a7f93e9823dc8a6" virt="non-virtual"><scope>cy_stc_smartio_lutcfg_t</scope><name>opcode</name></member>
      <member prot="public" refid="structcy__stc__smartio__lutcfg__t_1a86cb486d9b0ae98f1266170edd8a04da" virt="non-virtual"><scope>cy_stc_smartio_lutcfg_t</scope><name>tr0</name></member>
      <member prot="public" refid="structcy__stc__smartio__lutcfg__t_1a199369923edc7a284997b2937ea0ba2b" virt="non-virtual"><scope>cy_stc_smartio_lutcfg_t</scope><name>tr1</name></member>
      <member prot="public" refid="structcy__stc__smartio__lutcfg__t_1a0a11f0a8a3247e083c1b66e798420110" virt="non-virtual"><scope>cy_stc_smartio_lutcfg_t</scope><name>tr2</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>